| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
matrix_query.hpp File Reference

GLM_GTX_matrix_query More...

Go to the source code of this file.

## Functions
template<length_t C, length_t R, typename T , qualifier Q, template< length_t, length_t, typename, qualifier > class matType>
GLM_FUNC_DECL bool | isIdentity (matType< C, R, T, Q > const &m, T const &epsilon)
| Return whether a matrix is an identity matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL bool | isNormalized (mat< 2, 2, T, Q > const &m, T const &epsilon)
| Return whether a matrix is a normalized matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL bool | isNormalized (mat< 3, 3, T, Q > const &m, T const &epsilon)
| Return whether a matrix is a normalized matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL bool | isNormalized (mat< 4, 4, T, Q > const &m, T const &epsilon)
| Return whether a matrix is a normalized matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL bool | isNull (mat< 2, 2, T, Q > const &m, T const &epsilon)
| Return whether a matrix a null matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL bool | isNull (mat< 3, 3, T, Q > const &m, T const &epsilon)
| Return whether a matrix a null matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL bool | isNull (mat< 4, 4, T, Q > const &m, T const &epsilon)
| Return whether a matrix is a null matrix. More...
template<length_t C, length_t R, typename T , qualifier Q, template< length_t, length_t, typename, qualifier > class matType>
GLM_FUNC_DECL bool | isOrthogonal (matType< C, R, T, Q > const &m, T const &epsilon)
| Return whether a matrix is an orthonormalized matrix. More...

## Detailed Description

GLM_GTX_matrix_query

See also
  Core features (dependence)
  GLM_GTX_vector_query (dependence)

Definition in file matrix_query.hpp.